
%global meadversion 1.3.173
%global namedversion 1.3.173.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}h2}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.173.redhat-2

Name:           %{?scl_prefix}h2database
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        H2 Database Engine
Group:          Development/Java

%if %with mead
Source100: h2-1.3.173.redhat-2-scm-sources.zip
Source102: h2-1.3.173.redhat-2.pom
Source103: h2-1.3.173.redhat-2-javadoc.jar
Source104: h2-1.3.173.redhat-2-sources.jar
Source105: h2-1.3.173.redhat-2.jar
Source106: h2-1.3.173.redhat-2-project-sources.tar.gz
%endif

License:        The H2 License, Version 1.0
URL:            http://www.h2database.com
Provides:       %{?scl_prefix}h2 = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
H2 Database Engine.

%if %with javadoc
%package javadoc
Summary:        Javadoc for h2
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n h2 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/h2-%{namedversion}.jar %{buildroot}%{_javadir}/h2-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/h2-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/h2-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/h2-%{namedversion}-sources.jar %{buildroot}%{_javadir}/h2-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/h2-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/h2-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/h2-%{namedversion} -x META-INF/\*
%{__ln_s} h2-%{namedversion} %{buildroot}%{_javadocdir}/h2
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/h2-%{namedversion}.jar
%{_javadir}/h2.jar
%if %with javadoc
%{_javadir}/h2-%{namedversion}-javadoc.jar
%{_javadir}/h2-javadoc.jar
%endif
%{_javadir}/h2-%{namedversion}-sources.jar
%{_javadir}/h2-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/h2-%{namedversion}
%{_javadocdir}/h2
%endif

%changelog
* Tue Aug 25 2015 David Walluck <dwalluck@redhat.com> - 1.3.173-2.redhat_2.1
- fix tools.jar dependency

* Mon Jun 22 2015 David Walluck <dwalluck@redhat.com> - 1.3.173-1.redhat_1.1
- release

